@(conferenceForm:Form[Conference])
@import helper._

@template {

	<h1 class="page-header">Conference</h1>
		
	<form role="form" method="POST" action="@routes.ConferencesController.persist()" enctype="multipart/form-data">
	    <fieldset enable>
	    
	        <div class="form-group">
				@inputText(conferenceForm("name"))
	        </div>
			@inputText(conferenceForm("contactEmail"))
			@textarea(conferenceForm("description"))
		
			<select name="state" >
				@for(state <- ConferenceStateEnum.values) {
					<option value="@state.name">
						@state.name
					</option>
				}
			</select>
		
			@inputText(conferenceForm("site"))
			@inputText(conferenceForm("twitter"))
			
			<fieldset>
				<legend>Period</legend>
				@inputDate(conferenceForm("startDate"))
				@inputDate(conferenceForm("endDate"))
			</fieldset>
		
			@inputFile(conferenceForm("featureImage"))	       
	       
	       
	        <button type="submit" class="btn btn-default">Submit</button>
	        <a href="/conferences">Cancel</a>
	    </fieldset>
	</form>
		
}	